stan_print.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
void | stan::math::stan_print (std::ostream *o, const T &x)
template<typename T >
void | stan::math::stan_print (std::ostream *o, const std::vector< T > &x)
template<typename T >
void | stan::math::stan_print (std::ostream *o, const Eigen::Matrix< T, Eigen::Dynamic, 1 > &x)
template<typename T >
void | stan::math::stan_print (std::ostream *o, const Eigen::Matrix< T, 1, Eigen::Dynamic > &x)
template<typename T >
void | stan::math::stan_print (std::ostream *o, const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &x)

[ Stan Home Page ] © 2011–2016, Stan Development Team.